| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ARTrackerVideo Class Referenceabstract

`#include <ARTrackerVideo.h>`

Inheritance diagram for ARTrackerVideo:
[legend]
Collaboration diagram for ARTrackerVideo:
[legend]

## Public Member Functions
| ARTrackerVideo ()
virtual | ~ARTrackerVideo ()
virtual bool | start (ARParamLT *paramLT, AR_PIXEL_FORMAT pixelFormat)=0
virtual bool | start (ARParamLT *paramLT0, AR_PIXEL_FORMAT pixelFormat0, ARParamLT *paramLT1, AR_PIXEL_FORMAT pixelFormat1, const ARdouble transL2R[3][4])=0
virtual bool | update (AR2VideoBufferT *buff)=0
virtual bool | update (AR2VideoBufferT *buff0, AR2VideoBufferT *buff1)=0
Public Member Functions inherited from ARTracker
| ARTracker ()
virtual | ~ARTracker ()
virtual bool | initialize ()=0
virtual bool | start ()=0
virtual bool | isRunning ()=0
virtual bool | wantsUpdate ()=0
virtual bool | update ()=0
virtual bool | stop ()=0
virtual void | terminate ()=0
virtual ARTrackerType | type () const =0
virtual std::vector< std::string > | trackableConfigurations () const =0
virtual int | newTrackable (std::vector< std::string > config)=0
| ARTrackable factory method.
virtual unsigned int | countTrackables ()=0
virtual std::shared_ptr< ARTrackable > | getTrackable (int UID)=0
virtual std::vector< std::shared_ptr< ARTrackable > > | getAllTrackables ()=0
virtual bool | deleteTrackable (int UID)=0
| Removes the trackable with UID uid, if held by this tracker.
virtual void | deleteAllTrackables ()=0

## Constructor & Destructor Documentation

## ◆ ARTrackerVideo()

ARTrackerVideo::ARTrackerVideo | ( |  | ) |
| inline

## ◆ ~ARTrackerVideo()

virtual ARTrackerVideo::~ARTrackerVideo | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ start() [1/2]

virtual bool ARTrackerVideo::start | ( | ARParamLT * | paramLT,
|  | AR_PIXEL_FORMAT | pixelFormat
| ) |  |
| pure virtual

Implemented in ARTrackerSquare.

## ◆ start() [2/2]

virtual bool ARTrackerVideo::start | ( | ARParamLT * | paramLT0,
|  | AR_PIXEL_FORMAT | pixelFormat0,
|  | ARParamLT * | paramLT1,
|  | AR_PIXEL_FORMAT | pixelFormat1,
|  | const ARdouble | transL2R[3][4]
| ) |  |
| pure virtual

Implemented in ARTrackerSquare.

## ◆ update() [1/2]

virtual bool ARTrackerVideo::update | ( | AR2VideoBufferT * | buff | ) |
| pure virtual

Implemented in ARTrackerSquare.

## ◆ update() [2/2]

virtual bool ARTrackerVideo::update | ( | AR2VideoBufferT * | buff0,
|  | AR2VideoBufferT * | buff1
| ) |  |
| pure virtual

Implemented in ARTrackerSquare.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- Source/ARX/include/ARX/ARTrackerVideo.h